import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotTruckPlateList/` + url, ...arg)

/**
 * 车牌名单Api接口管理器
 *
 * @author xiang
 * @date  2024/03/24 14:59
 **/
export default {
	// 获取车牌名单分页
	depotTruckPlateListPage(data) {
		return request('page', data, 'get')
	},
	// 获取车牌名单列表
	depotTruckPlateListList(data) {
		return request('list', data, 'get')
	},
	// 提交车牌名单表单 edit为true时为编辑，默认为新增
	depotTruckPlateListSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除车牌名单
	depotTruckPlateListDelete(data) {
		return request('delete', data)
	},
	// 获取车牌名单详情
	depotTruckPlateListDetail(data) {
		return request('detail', data, 'get')
	}
}
